<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Airports</title>
    <link rel="stylesheet" href="./css/formPage.css" />
    <link rel="stylesheet" href="./css/style.css" />
    <link rel="stylesheet" href="./css/search-bar.css" />
  </head>
  <body>
    <div class="nav-bar">
      <h4>
        Rise Airlines<span
          ><img src="./assets/header-plane.png" alt="icon"
        /></span>
      </h4>
      <ul class="nav-bar-links-contatiner">
        <li class="nav-link"><a href="./airlines.html">Airlines</a></li>
        <li class="nav-link"><a href="./airports.html">Airports</a></li>
        <li class="nav-link"><a href="./flights.html">Flights</a></li>
      </ul>
    </div>

    <div class="container-form">
      <div class="container-head">
        <a href="/">
          <img src="./assets/left sidebar.png" alt="bar" />
        </a>
        <h1>Airports</h1>
      </div>
      <div class="search-bar" id="search-bar">
        <p>Choose filter and search:</p>
        <form id="search-form" action="Search" method="post">
          <select class="dropdown" name="filter">
            <option value="Flight_Number">Flight Number</option>
            <option value="Airline">Airline</option>
            <option value="Country">Country</option>
            <option value="City">City</option>
            <option value="Code">Code</option>
            <option value="Name">Name</option>
          </select>
          <input type="search" name="value" placeholder="Search" required />
          <input type="submit" value="Submit" class="button" />
        </form>
      </div>
      <div id="loading-overlay">
        <div class="spinner"></div>
      </div>
      <table class="table" id="table">
        <thead>
          <tr class="table-head">
            <th class="table-head-tag">Name</th>
            <th class="table-head-tag">Country</th>
            <th class="table-head-tag">City</th>
            <th class="table-head-tag">Code</th>
            <th class="table-head-tag">Runways</th>
            <th class="table-head-tag">Founded</th>
            <th class="table-head-tag">Buttons</th>
          </tr>
        </thead>
        <tbody id="table-body"></tbody>
      </table>
      <button class="block-button-show scroll-top" id="scroll-top">
        Go top
      </button>
      <button class="block-button-show" id="show-more" onclick="showMore()">
        Show More
      </button>
      <a href="#" class="block-button-form" id="show-form" onclick="showForm()"
        >Show Form</a
      >
      <form class="form hidden" id="form" action="Create" method="post">
        <legend>Add new Airport</legend>

        <label for="name">Name</label>
        <input type="text" id="name" name="name" />

        <span class="validation hidden" id="name-valid"
          >Name must be filled</span
        >

        <label for="country">Country</label>
        <input type="text" id="country" name="country" />

        <span class="validation hidden" id="country-valid"
          >Country must be filled</span
        >

        <label for="city">City</label>
        <input type="text" id="city" name="city" />

        <span class="validation hidden" id="city-valid"
          >City must be filled</span
        >

        <label for="code">Code</label>
        <input type="text" id="code" name="code" />

        <span class="validation hidden" id="code-valid"
          >Code must be filled, min 3 chars, uppercase</span
        >

        <label for="runways_count">Runways Count</label>
        <input type="number" id="runways_count" name="runways_count" />

        <span class="validation hidden" id="runways-count-valid"
          >Runways must be filled</span
        >

        <label for="founded">Founded</label>
        <input type="date" id="founded" name="founded" />

        <span class="validation hidden" id="founded-valid"
          >Founded must be filled and cannot be in the future</span
        >

        <input
          type="submit"
          class="block-button-form"
          id="submit-button"
          value="Submit"
        />
      </form>
    </div>
    <div class="footer">
      <p>Rise Airlines 2024 ©</p>
    </div>
    <script type="module" src="./js/airportValidation.js"></script>
    <script src="./js/showForm.js" async defer></script>
    <script src="./js/animation.js"></script>
  </body>
</html>
